summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcomm-22
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgcomm-22')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/msgcomm-2214
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/msgcomm-22 b/gettext-tools/tests/msgcomm-22
index 7b49062..6b07432 100755..100644
--- a/gettext-tools/tests/msgcomm-22
+++ b/gettext-tools/tests/msgcomm-22
@@ -3,10 +3,6 @@
# Verify that the header entry is kept, otherwise the encoding is unknown.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles mcomm-test22.in1 mcomm-test22.in2"
cat <<\EOF > mcomm-test22.in1
# German translations for GNU gettext package.
# Copyright (C) 1995, 1996, 1997, 2001 Free Software Foundation, Inc.
@@ -63,18 +59,14 @@ msgid "memory exhausted"
msgstr "virtueller Speicher erschöpft"
EOF
-tmpfiles="$tmpfiles mcomm-test22.tmp mcomm-test22.out"
rm -f mcomm-test22.tmp
: ${MSGCOMM=msgcomm}
${MSGCOMM} --less-than=2 -o mcomm-test22.tmp \
- mcomm-test22.in1 mcomm-test22.in2
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < mcomm-test22.tmp > mcomm-test22.out
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+ mcomm-test22.in1 mcomm-test22.in2 || exit 1
+LC_ALL=C tr -d '\r' < mcomm-test22.tmp > mcomm-test22.out || exit 1
-tmpfiles="$tmpfiles mcomm-test22.ok"
cat << \EOF > mcomm-test22.ok
# German translations for GNU gettext package.
# Copyright (C) 1995, 1996, 1997, 2001 Free Software Foundation, Inc.
@@ -116,6 +108,4 @@ EOF
${DIFF} mcomm-test22.ok mcomm-test22.out
result=$?
-rm -fr $tmpfiles
-
exit $result